! Programa que lê 3 valores para X e para cada valor, calcula f(X). Sendo f(x) = 3X + (2X)^^2 + 10
program soma_fatoriais
	implicit none
    integer x, funcao_f, cont
    
    write(*,*) "Programa que le 3 valores para X e para cada valor, calcula f(X). Sendo f(x) = 3X + (2X)^^2 + 10"
 
    do cont = 1, 3, 1
       write(*,*)
       write(*,*) "Digite um valor para x: "
       read (*,*) x     
       write(*,*)
       write(*,*) "Para x = ", x, " f(x) =  ", funcao_f(x)
    end do
    
    stop 
end program soma_fatoriais


! Funcao que recebe um valor para x e retorna f(x). Sendo f(x) = 3X + (2X)^^2 + 10
function funcao_f(x)
	implicit none
    integer funcao_f, x
   
    funcao_f = 3 * X + (2 * X)**2 + 10

    return
end function funcao_f     